package http_model

import "youngee_b_api/model/gorm_model"

type EnterpriseListRequest struct {
	PageSize        int64 `json:"page_size"`
	PageNum         int64 `json:"page_num"`
	SupplierId      int   `json:"supplier_id"`      // 服务商ID
	CooperateStatus int   `json:"cooperate_status"` // 邀约状态：1待同意，2已同意，3已拒绝
}

type EnterpriseListData struct {
	EnterpriseListInfo []*gorm_model.EnterpriseSupplierCooperate `json:"enterprise_list_info"`
	Total              int64                                     `json:"total"`
}

func NewEnterpriseListRequest() *EnterpriseListRequest {
	return new(EnterpriseListRequest)
}

func NewEnterpriseListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(EnterpriseListData)
	return resp
}
